% Stability Analysis Script freq.m
init;
w=logspace(-2, 3, 44000);              % Define Frequ Range
[A1,B1,C1,D1]= linmod('Open_Flex2');      % Linearize Open-Loop Simulink model 
syso= ss(A1,B1,C1,D1);                   % Create Vehicle  SS System
figure(10); nichols(syso,syso,w)         % Plot Nichol's Chart
figure(20); bode(syso,syso,w)            % Plot Bode
syso2=syso;
