% Preliminary Stability Analysis
init;
[A1,B1,C1,D1]= linmod('Open_Loop');      % Linearize Open-Loop Simulink model 
sys= ss(A1,B1,C1,D1);                    % Create SS System
w=logspace(-2, 3, 50000);                % Define Frequ Range
figure(1); nichols(sys,w)                % Plot Nichol's Chart
figure(2); bode(sys,w)                   % Plot Bode's Chart
sys1=sys;