% Initialize Parameters
d2r= pi/180; r2d=180/pi;
[Av, Bv, Cv, Dv]= vehicle;                     % Load Vehicle Analysis Model
[Aa, Ba, Ca, Da]= actuator;                    % Load Linear Actuator Model
load Kmix_t490 -ascii;  Kmix=Kmix_t490;        % Load the Mixing-Logic Matrx
load Kq_t490   -ascii;  Kq=Kq_t490;            % Load the Pitch LQR Gains

nt=8; Thr=3.0;                                 % Number of Jets, Thrust (lbf)
x1_ini= [-1,0, -2,0, 2,0]*d2r;                 % Attitude/Rate Initialization
x2_ini=zeros(1,28); x2_ini=[x1_ini,x2_ini];    % Other State Initialization
Xcg=94.61; Ixx=1143.4; Iyy=14582.5; Izz=14423.5; % Phase-Plane Parameters
 