% Initialization File
clear all;
init
Npv=19;                                  % Number of Param Variations
w=logspace(-2,2,2000);                              
[Acp,Bcp,Ccp,Dcp]=linmod('Robustness'); 
sys=ss(Acp,Bcp,Ccp,Dcp);
sysf= frd(sys,w);
blk=[-ones(Npv,1), zeros(Npv,1)];
[bnd,muinfo]= mussv(sysf,blk);

ff= get(muinfo.bnds, 'frequency');
muu=get(muinfo.bnds, 'responsedata');
muu=squeeze(muu);
muu=muu(1,:);
loglog(ff,muu)
ylim([0.01,1.1])
ylabel('ssv')
xlabel('Frequency (rad/sec)')

