% Stability Analysis Compare
init;
[A1,B1,C1,D1]= linmod('Open_Loop');      % Linmod Open-Loop Model with Internal Slosh
[A2,B2,C2,D2]= linmod('Open_Loop2');     % Linmod Open-Loop Model with External Slosh 
sys1= ss(A1,B1,C1,D1);                   % Create SS System
sys2= ss(A2,B2,C2,D2);                   % Create SS System
w=logspace(-2, 3, 50000);                % Define Frequ Range
figure(1); nichols(sys1,sys2,w)          % Plot & Compare Nichol's Chart
figure(2); bode(sys1,sys2,w)             % Plot & Compare Bode's Chart
