label='Stage-2 TVC/RCS Maneuver with Spring-Mass Slosh & Flex';
%------------------------------------------
figure (1)
plot(atter*r2d, wb*r2d, 'LineWidth',1.5)
title('Phase-Plane')
grid ON
xlabel('Attitude Error (deg)')
ylabel('Rate Error (deg/s)')
legend('roll','ptch','yaw');
%------------------------------------------
figure (2) 
semilogy(tim,abs(atter)*r2d, 'LineWidth',1.5)
title('Absolute Attitude Error from Initial: [-3, -2, 2] deg')
axis([0 max(tim) 0.05 10])
grid ON
legend('roll','ptch','yaw');
ylabel('Attitude Error (deg)')
xlabel('Time')
%------------------------------------------
figure (3)
plot(tim, atti*r2d, 'LineWidth',1.5)
title(label)
legend('roll','ptch','yaw');
ylabel('Attitude (deg)')
xlabel('Time')
%------------------------------------------
figure (4)
plot(tim,wb*r2d, 'LineWidth',1.5)
title(label)
ylabel('Body Rates (deg/s)')
legend('P','Q','R');
xlabel('Time')
%------------------------------------------
figure (5)
subplot(2,1,1), plot(tim, delta*r2d, 'LineWidth',1.5)
title('Gimbal Pitch & Yaw Deflections and Jet Thrusts')
legend('Dy','Dz');
ylabel('Deflections (deg)')

subplot(2,1,2), plot(tim, Jets, 'LineWidth',1.5)
ylabel('RCS Thrusts (lbf)')
xlabel('Time')
%------------------------------------------