% Preliminary Stability Analysis
init;
[A1,B1,C1,D1]= linmod('Open_Flex');      % Linearize Open-Loop Simulink model 
sys= ss(A1,B1,C1,D1);                    % Create Vehicle  SS System
w=logspace(-1.5, 3, 44000);              % Define Frequ Range
figure(10); nichols(sys,sys1,w)           % Plot Nichol's Chart
figure(20); bode(sys,sys,w)             % Plot Bode
sys1=sys;

% Sensitivity Analysis
% [Ac,Bc,Cc,Dc]= linmod('Sensitiv_Flex');  % Linear Closed-Loop Simulink model 
% sysc= ss(Ac,Bc,Cc,Dc);                   % Create Vehicle  SS System
% figure(30); sigma(sysc,w)                % Plot Sensitivity
% sysc1=sysc;