%------------------------------------------
figure (1)
plot(tim, atti*r2d, 'LineWidth',1.5)
title('Vehicle Attitude')
legend('phi','theta','psi');
ylabel('(deg)')
xlabel('Time')
%------------------------------------------
figure (2)
subplot(2,1,1), plot(tim,pqr*r2d, 'LineWidth',1.5)
title('Body Rates')
legend('p','q','r');
ylabel('Body Rates (deg/s)')

subplot(2,1,2), plot(tim, Wgst, 'LineWidth',1.5)
ylabel('Wind Gust (ft/sec)')
xlabel('Time')
%------------------------------------------
figure (3)
subplot(2,1,1), plot(tim,DY*r2d, 'LineWidth',1.5)
title('Gimbal Deflections (Dy, Dz)')
ylabel('Pitch Deflect Dy (deg)')

subplot(2,1,2), plot(tim,DZ*r2d, 'LineWidth',1.5)
ylabel('Yaw Deflect Dz (deg)')
xlabel('Time')
%------------------------------------------
figure (4)
subplot(2,1,1), plot(tim,albet*r2d, 'LineWidth',1.5)
title('Alpha, Beta, NY, NZ')
legend('Alpha','Beta');
ylabel('Alpha, Beta (deg)')

subplot(2,1,2), plot(tim,Nyz, 'LineWidth',1.5)
legend('NY','NZ');
ylabel('NY, NZ (ft/sec^2)')
xlabel('Time')
%------------------------------------------
