% Stability Analysis Script freq.m
init;
[Af,Bf,Cf,Df]= fcs;              % Load Closed-Loop Simul System
w=logspace(-1.5, 3, 44000);              % Define Frequ Range

[A1,B1,C1,D1]= linmod('FCS1');      % Linearize Open-Loop Simulink model 
sys1= ss(A1,B1,C1,D1);                   % Create Vehicle  SS System
[A2,B2,C2,D2]= linmod('FCS2');      % Linearize Open-Loop Simulink model 
sys2= ss(A2,B2,C2,D2);                   % Create Vehicle  SS System
%figure(10); nichols(syso,syso,w)         % Plot Nichol's Chart
figure(20); bode(sys1,sys2,w)            % Plot Bode

